net.minecraft.creativetab

## Class CreativeTabs

- java.lang.Object
- - net.minecraft.creativetab.CreativeTabs

-     public class CreativeTabs
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CreativeTabs[]` | `creativeTabArray`
    `static CreativeTabs` | `tabAllSearch`
    `static CreativeTabs` | `tabBlock`
    `static CreativeTabs` | `tabBrewing`
    `static CreativeTabs` | `tabCombat`
    `static CreativeTabs` | `tabDecorations`
    `static CreativeTabs` | `tabFood`
    `static CreativeTabs` | `tabInventory`
    `static CreativeTabs` | `tabMaterials`
    `static CreativeTabs` | `tabMisc`
    `static CreativeTabs` | `tabRedstone`
    `static CreativeTabs` | `tabTools`
    `static CreativeTabs` | `tabTransport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreativeTabs(int par1, String par2Str)`
    `CreativeTabs(String label)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEnchantmentBooksToList(List par1List, EnumEnchantmentType... par2ArrayOfEnumEnchantmentType)`
    `void` | `displayAllReleventItems(List par1List)`
    `boolean` | `drawInForegroundOfTab()`
    `EnumEnchantmentType[]` | `func_111225_m()`
    `boolean` | `func_111226_a(EnumEnchantmentType par1EnumEnchantmentType)`
    `CreativeTabs` | `func_111229_a(EnumEnchantmentType... par1ArrayOfEnumEnchantmentType)`
    `String` | `getBackgroundImageName()`
    `ItemStack` | `getIconItemStack()` Get the ItemStack that will be rendered to the tab.
    `static int` | `getNextID()`
    `int` | `getTabColumn()`
    `Item` | `getTabIconItem()`
    `int` | `getTabIconItemIndex()`
    `int` | `getTabIndex()`
    `String` | `getTabLabel()`
    `int` | `getTabPage()`
    `String` | `getTranslatedTabLabel()`
    `boolean` | `hasSearchBar()` Determines if the search bar should be shown for this tab.
    `boolean` | `isTabInFirstRow()`
    `CreativeTabs` | `setBackgroundImageName(String par1Str)`
    `CreativeTabs` | `setNoScrollbar()`
    `CreativeTabs` | `setNoTitle()`
    `boolean` | `shouldHidePlayerInventory()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### creativeTabArray

          public static CreativeTabs[] creativeTabArray

    - #### tabBlock

          public static final CreativeTabs tabBlock

    - #### tabDecorations

          public static final CreativeTabs tabDecorations

    - #### tabRedstone

          public static final CreativeTabs tabRedstone

    - #### tabTransport

          public static final CreativeTabs tabTransport

    - #### tabMisc

          public static final CreativeTabs tabMisc

    - #### tabAllSearch

          public static final CreativeTabs tabAllSearch

    - #### tabFood

          public static final CreativeTabs tabFood

    - #### tabTools

          public static final CreativeTabs tabTools

    - #### tabCombat

          public static final CreativeTabs tabCombat

    - #### tabBrewing

          public static final CreativeTabs tabBrewing

    - #### tabMaterials

          public static final CreativeTabs tabMaterials

    - #### tabInventory

          public static final CreativeTabs tabInventory

  - ### Constructor Detail

    - #### CreativeTabs

          public CreativeTabs(String label)

    - #### CreativeTabs

          public CreativeTabs(int par1,
                      String par2Str)

  - ### Method Detail

    - #### getTabIndex

          public int getTabIndex()

    - #### setBackgroundImageName

          public CreativeTabs setBackgroundImageName(String par1Str)

    - #### getTabLabel

          public String getTabLabel()

    - #### getTranslatedTabLabel

          public String getTranslatedTabLabel()

    - #### getTabIconItem

          public Item getTabIconItem()

    - #### getTabIconItemIndex

          public int getTabIconItemIndex()

    - #### getBackgroundImageName

          public String getBackgroundImageName()

    - #### drawInForegroundOfTab

          public boolean drawInForegroundOfTab()

    - #### setNoTitle

          public CreativeTabs setNoTitle()

    - #### shouldHidePlayerInventory

          public boolean shouldHidePlayerInventory()

    - #### setNoScrollbar

          public CreativeTabs setNoScrollbar()

    - #### getTabColumn

          public int getTabColumn()

    - #### isTabInFirstRow

          public boolean isTabInFirstRow()

    - #### func_111225_m

          public EnumEnchantmentType[] func_111225_m()

    - #### func_111229_a

          public CreativeTabs func_111229_a(EnumEnchantmentType... par1ArrayOfEnumEnchantmentType)

    - #### func_111226_a

          public boolean func_111226_a(EnumEnchantmentType par1EnumEnchantmentType)

    - #### displayAllReleventItems

          public void displayAllReleventItems(List par1List)

    - #### addEnchantmentBooksToList

          public void addEnchantmentBooksToList(List par1List,
                                       EnumEnchantmentType... par2ArrayOfEnumEnchantmentType)

    - #### getTabPage

          public int getTabPage()

    - #### getNextID

          public static int getNextID()

    - #### getIconItemStack

          public ItemStack getIconItemStack()

      Get the ItemStack that will be rendered to the tab.

    - #### hasSearchBar

          public boolean hasSearchBar()

      Determines if the search bar should be shown for this tab.
      Returns:
        True to show the bar